Summary:	The Distributed Remote Block Device
Name:		drbd
Version:	0.6.8
Release:	1.5.3
Copyright:	GPL
Group:		System Environment/Utilities
Source0:	%{name}-%{version}.tar.gz
Patch0:		drbd-0.6.8-engardeize-gd-1.diff
Patch1:		drbd-0.6.8-dont-build-kernel-module-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Requires:	kernel >= 2.4.22-1.5.40

%description
  DRBD is a block device which is designed to build high availability clusters.
  This is done by mirroring a whole block device via (a dedicated) network.
  You could see it as a network raid-1.

  DRBD takes over the data, writes it to the local disk and sends it to the
  other host.  On the other host, it takes it to the disk there.

%files
  %defattr(-,root,root)
  %attr(0444,root,root)	%doc %{_mandir}/man?/*

  %attr(0600,root,root)	%config(noreplace) %{_sysconfdir}/drbd.conf

  %attr(0700,root,root)	%dir %{_root_vardir}/%{_lib}/%{name}
  %attr(0700,root,root)	%{_sysconfdir}/ha.d/resource.d/datadisk
  %attr(0700,root,root)	%{_sysconfdir}/init.d/drbd
  %attr(0700,root,root)	%{_root_sbindir}/drbdsetup

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make PREFIX=$RPM_BUILD_ROOT/ install

  # Don't make datadisk a hardlink -- make it a copy.
  rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/ha.d/resource.d/datadisk
  cp $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/drbd \
     $RPM_BUILD_ROOT/%{_sysconfdir}/ha.d/resource.d/datadisk

  mkdir -p $RPM_BUILD_ROOT/%{_root_vardir}/%{_lib}/%{name}
  # Remove these languages.
  rm -rf $RPM_BUILD_ROOT/%{_mandir}/{ja,pt_BR}

%post
  depmod -a
  cd /dev && ./MAKEDEV nb || :

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 30 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.6.8, Release 1.5.3
  - Don't build the kernel module anymore -- it's in 2.4.22-1.5.40.
  - Switch the order of the commands in %post.
  - Do some stuff in %install that used to be done by drbd/Makefile.

* Wed Dec 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.6.8, Release 1.5.2
  - Rebuild against 2.4.22-1.5.39.

* Wed Dec 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.6.8, Release 1.5.1
  - Initial build for EnGarde.
